<?php
/*
Copyright  2005 Alberto Martnez Fernndez (albertinho_2000@hotmail.com)
				 Israel Ortiz Flores (i_ortiz_flores@hotmail.com)
 
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A
copy of the license can be found in http://www.gnu.org/licenses/fdl.txt 
*/
	require("../authentication.php");
	require("../compile_config.php");
	
	//Configuramos el path y el fichero de resultados
	//session_start();
	$user=$_SESSION['s_user'];
	$name=$_SESSION['s_name'];
	$file=$_SESSION['s_file'];
	$languaje=$_SESSION['s_languaje'];
	$platform=$_SESSION['s_platform'];
	$application=$_SESSION['s_application'];
	$code=stripslashes($_POST['code']);

	//Configuramos la ruta de los ficheros a manejar	
	$compile_file = realpath("../users/$user/$name/$file");
	//$result_file = tempnam(realpath("../users/$user/$name"), "");
	$result_file=realpath("../users/$user/$name")."/result.tmp";	
	$fd=fopen($result_file, "w");
	fclose($fd);

	//Guardamos el codigo en el fichero
	$fd=fopen($compile_file,"w");
	fwrite($fd,$code);
	fclose($fd);

	//Comprobamos si el fichero a compilar es el adecuado
	$long_extension=strlen($extensions[$languaje][0]);
	$extension_file=strtolower(substr($file, strlen($file)-$long_extension, $long_extension));
	if  ($extension_file!=$extensions[$languaje][0]){
		$mensaje="This file cannot be compiled. You can compile ". $languaje." files only.";

		//Escribimos el resultado de que el fichero no es correcto 
		$fd=fopen($result_file,"w");
		fwrite($fd, $mensaje);
		fclose($fd);
	}
	//Podemos compilar el fichero
	else {
		//Seleccionamos el compilador adecuado
		//$path_compiler=realpath($compiler_path[$platform][$languaje][$application]);
		$path_compiler=$compiler_path[$platform][$languaje][$application];		

		//Saltamos al fichero de compilacion correspondiente
		require("../compile/".$compile_module[$platform][$languaje][$application]);
	}	
	
	//Volvemos a la pagina de edicion	
	$_SESSION['s_result']=$result_file;
	header('Location: work_project.php');
?>
